package com.example.applock.roombase;

import androidx.room.Entity;
import androidx.room.Index;
import androidx.room.PrimaryKey;

import com.example.applock.value.MyAllValues;

@Entity(tableName = MyAllValues.APP_TABLE_NAME,indices = {@Index(value = {"apppackageName"}, unique = true)})
public class AppEntity {

    @PrimaryKey(autoGenerate = true)
    private int appid;

    private String apppackageName;

    private String applabel;
    private boolean applocked;
    private boolean appfrom;

    public int getAppid() {
        return appid;
    }

    public void setAppid(int appid) {
        this.appid = appid;
    }

    public String getApppackageName() {
        return apppackageName;
    }

    public void setApppackageName(String apppackageName) {
        this.apppackageName = apppackageName;
    }

    public String getApplabel() {
        return applabel;
    }

    public void setApplabel(String applabel) {
        this.applabel = applabel;
    }

    public boolean isApplocked() {
        return applocked;
    }

    public void setApplocked(boolean applocked) {
        this.applocked = applocked;
    }

    public boolean isAppfrom() {
        return appfrom;
    }

    public void setAppfrom(boolean appfrom) {
        this.appfrom = appfrom;
    }
}
